

.flex{display: flex;}
.flex-1{flex: 1 1 0%;}
.flex-wrap{	flex-wrap: wrap;}
.flex-col{flex-direction: column;}
.items-center{align-items: center;}
.items-start{align-items: flex-start;}
.items-end{align-items: flex-end;}
.justify-between{justify-content: space-between;}
.justify-center{justify-content: center;}
.justify-start{justify-content: flex-start;}
.justify-end{justify-content: flex-end;}
.justify-around{justify-content: space-around;}

.p-0{padding: 0;}
.px-0{padding-left: 0px;padding-right: 0px;}
.py-0{padding-top: 0px;padding-bottom: 0px;}
.pl-0{padding-left: 0px;}
.pr-0{padding-right: 0px;}
.pt-0{padding-top: 0px;}
.pb-0{padding-bottom: 0px;}

.p-1{padding: 4px;}
.py-1{padding-top: 4px;padding-bottom: 4px;}
.pl-1{padding-left: 4px;}
.px-1{padding-left: 4px;padding-right: 4px;}
.pr-1{padding-right: 4px;}
.pt-1{padding-top: 4px;}
.pb-1{padding-bottom: 4px;}

.p-2{padding: 8px;}
.px-2{padding-left: 8px;padding-right: 8px;}
.py-2{padding-top: 8px;padding-bottom: 8px;}
.pl-2{padding-left: 8px;}
.pr-2{padding-right: 8px;}
.pt-2{padding-top: 8px;}
.pb-2{padding-bottom: 8px;}

.p-3{padding: 12px;}
.px-3{padding-left: 12px;padding-right: 12px;}
.py-3{padding-top: 12px;padding-bottom: 12px;}
.pl-3{padding-left: 12px;}
.pr-3{padding-right: 12px;}
.pt-3{padding-top: 12px;}
.pb-3{padding-bottom: 12px;}

.p-4{padding: 16px;}
.px-4{padding-left: 16px;padding-right: 16px;}
.py-4{padding-top: 16px;padding-bottom: 16px;}
.pl-4{padding-left: 16px;}
.pr-4{padding-right: 16px;}
.pt-4{padding-top: 16px;}
.pb-4{padding-bottom: 16px;}

.p-5{padding: 20px;}
.px-5{padding-left: 20px;padding-right: 20px;}
.py-5{padding-top: 20px;padding-bottom: 20px;}
.pl-5{padding-left: 20px;}
.pr-5{padding-right: 20px;}
.pt-5{padding-top: 20px;}
.pb-5{padding-bottom: 20px;}

.p-6{padding: 24px;}
.px-6{padding-left: 24px;padding-right: 24px;}
.py-6{padding-top: 24px;padding-bottom: 24px;}
.pl-6{padding-left: 24px;}
.pr-6{padding-right: 24px;}
.pt-6{padding-top: 24px;}
.pb-6{padding-bottom: 24px;}

.p-7{padding: 28px;}
.px-7{padding-left: 28px;padding-right: 28px;}
.py-7{padding-top: 28px;padding-bottom: 28px;}
.pl-7{padding-left: 28px;}
.pr-7{padding-right: 28px;}
.pt-7{padding-top: 28px;}
.pb-7{padding-bottom: 28px;}

.p-8{padding: 32px;}
.px-8{padding-left: 32px;padding-right: 32px;}
.py-8{padding-top: 32px;padding-bottom: 32px;}
.pl-8{padding-left: 32px;}
.pr-8{padding-right: 32px;}
.pt-8{padding-top: 32px;}
.pb-8{padding-bottom: 32px;}

.p-9{padding: 36px;}
.px-9{padding-left: 36px;padding-right: 36px;}
.py-9{padding-top: 36px;padding-bottom: 36px;}
.pl-9{padding-left: 36px;}
.pr-9{padding-right: 36px;}
.pt-9{padding-top: 36px;}
.pb-9{padding-bottom: 36px;}

.p-10{padding: 40px;}
.px-10{padding-left: 40px;padding-right: 40px;}
.py-10{padding-top: 40px;padding-bottom: 40px;}
.pl-10{padding-left: 40px;}
.pr-10{padding-right: 40px;}
.pt-10{padding-top: 40px;}
.pb-10{padding-bottom: 40px;}

.m-0{margin: 0;}
.mx-0{margin-left: 0px;margin-right: 0px;}
.my-0{margin-top: 0px;margin-bottom: 0px;}
.ml-0{margin-left: 0px;}
.mr-0{margin-right: 0px;}
.mt-0{margin-top: 0px;}
.mb-0{margin-bottom: 0px;}

.m-1{margin: 4px;}
.my-1{margin-top: 4px;margin-bottom: 4px;}
.ml-1{margin-left: 4px;}
.mx-1{margin-left: 4px;margin-right: 4px;}
.mr-1{margin-right: 4px;}
.mt-1{margin-top: 4px;}
.mb-1{margin-bottom: 4px;}

.m-2{margin: 8px;}
.mx-2{margin-left: 8px;margin-right: 8px;}
.my-2{margin-top: 8px;margin-bottom: 8px;}
.ml-2{margin-left: 8px;}
.mr-2{margin-right: 8px;}
.mt-2{margin-top: 8px;}
.mb-2{margin-bottom: 8px;}

.m-3{margin: 12px;}
.mx-3{margin-left: 12px;margin-right: 12px;}
.my-3{margin-top: 12px;margin-bottom: 12px;}
.ml-3{margin-left: 12px;}
.mr-3{margin-right: 12px;}
.mt-3{margin-top: 12px;}
.mb-3{margin-bottom: 12px;}

.m-4{margin: 16px;}
.mx-4{margin-left: 16px;margin-right: 16px;}
.my-4{margin-top: 16px;margin-bottom: 16px;}
.ml-4{margin-left: 16px;}
.mr-4{margin-right: 16px;}
.mt-4{margin-top: 16px;}
.mb-4{margin-bottom: 16px;}

.m-5{margin: 20px;}
.mx-5{margin-left: 20px;margin-right: 20px;}
.my-5{margin-top: 20px;margin-bottom: 20px;}
.ml-5{margin-left: 20px;}
.mr-5{margin-right: 20px;}
.mt-5{margin-top: 20px;}
.mb-5{margin-bottom: 20px;}

.m-6{margin: 24px;}
.mx-6{margin-left: 24px;margin-right: 24px;}
.my-6{margin-top: 24px;margin-bottom: 24px;}
.ml-6{margin-left: 24px;}
.mr-6{margin-right: 24px;}
.mt-6{margin-top: 24px;}
.mb-6{margin-bottom: 24px;}

.m-7{margin: 28px;}
.mx-7{margin-left: 28px;margin-right: 28px;}
.my-7{margin-top: 28px;margin-bottom: 28px;}
.ml-7{margin-left: 28px;}
.mr-7{margin-right: 28px;}
.mt-7{margin-top: 28px;}
.mb-7{margin-bottom: 28px;}

.m-8{margin: 32px;}
.mx-8{margin-left: 32px;margin-right: 32px;}
.my-8{margin-top: 32px;margin-bottom: 32px;}
.ml-8{margin-left: 32px;}
.mr-8{margin-right: 32px;}
.mt-8{margin-top: 32px;}
.mb-8{margin-bottom: 32px;}

.m-9{margin: 36px;}
.mx-9{margin-left: 36px;margin-right: 36px;}
.my-9{margin-top: 36px;margin-bottom: 36px;}
.ml-9{margin-left: 36px;}
.mr-9{margin-right: 36px;}
.mt-9{margin-top: 36px;}
.mb-9{margin-bottom: 36px;}

.m-10{margin: 40px;}
.mx-10{margin-left: 40px;margin-right: 40px;}
.my-10{margin-top: 40px;margin-bottom: 40px;}
.ml-10{margin-left: 40px;}
.mr-10{margin-right: 40px;}
.mt-10{margin-top: 40px;}
.mb-10{margin-bottom: 40px;}

.m-11{margin: 44px;}
.mx-11{margin-left: 44px;margin-right: 44px;}
.my-11{margin-top: 44px;margin-bottom: 44px;}
.ml-11{margin-left: 44px;}
.mr-11{margin-right: 44px;}
.mt-11{margin-top: 44px;}
.mb-11{margin-bottom: 44px;}

.m-12{margin:48px;}
.mx-12{margin-left:48px;margin-right:48px;}
.my-12{margin-top:48px;margin-bottom:48px;}
.ml-12{margin-left:48px;}
.mr-12{margin-right:48px;}
.mt-12{margin-top:48px;}
.mb-12{margin-bottom:48px;}


.w-full	{width: 100%;}
.w-screen	{width: 100vw;}
.w-min	{width: min-content;}
.w-max	{width: max-content;}
.w-fit	{width: fit-content;}
.min-w-0	{min-width: 0px;}
.min-w-full	{min-width: 100%;}
.min-w-min	{min-width: min-content;}
.min-w-max	{min-width: max-content;}
.min-w-fit	{min-width: fit-content;}

.text-xs{font-size: 12px;}
.text-sm{font-size: 14px;}
.text-base{font-size:16px;}
.text-lg{font-size: 18px;}
.text-xl{font-size: 20px;}
.text-2xl{font-size: 22px;}
.text-3xl{font-size: 24px;}
.text-4xl{font-size: 32px;}

.text-left	{text-align: left;}
.text-center	{text-align: center;}
.text-right	{text-align: right;}
.text-justify	{text-align: justify;}
.text-end	{text-align: end;}
.text-start	{text-align: start;}

.text-eee{color:#eee}
.text-999{color:#999999}
.text-666{color:#666666}
.text-000{color:#000000}
.text-aaa{color:#aaaaaa}
.text-red{color:#F56C6C}
.text-green{color:#0bd57a}
.text-orange{color:#fea32f}
.text-blue{color:#2d74fe}
.text-white{color:#fff;}
.text-bold{font-weight: bold;}

.border	{border-width: 1rpx;}
.border-solid {border-style: solid;}
.border-red	{border-color: #F56C6C;}
.border-666	{border-color: #666666;}
.border-999	{border-color: #999999;}

.font-bold{font-weight: bold;}
.bg-white{background-color: #fff;}
.bg-gray{background-color: #f7f7f7;}
.bg-red{background-color:#F56C6C}
.bg-green{background-color:#0bd57a}
.bg-orange{background-color:#fea32f}
.bg-blue{background-color:#2d74fe}

.leading-3	{line-height: .75rem; /* 12px */}
.leading-4	{line-height: 1rem; /* 16px */}
.leading-5	{line-height: 1.25rem; /* 20px */}
.leading-6	{line-height: 1.5rem; /* 24px */}
.leading-7	{line-height: 1.75rem; /* 28px */}
.leading-8	{line-height: 2rem; /* 32px */}
.leading-9	{line-height: 2.25rem; /* 36px */}
.leading-10	{line-height: 2.5rem; /* 40px */}

.rounded-none{border-radius: 0px;}
.rounded-sm{border-radius: 0.125rem; /* 2px */}
.rounded{border-radius: 0.25rem; /* 4px */}
.rounded-md{border-radius: 0.375rem; /* 6px */}
.rounded-lg{border-radius: 0.5rem; /* 8px */}
.rounded-xl{border-radius: 0.75rem; /* 12px */}
.rounded-2xl{border-radius: 1rem; /* 16px */}
.rounded-3xl{border-radius: 1.5rem; /* 24px */}
.rounded-full{border-radius: 9999px;}

.indent-8{text-indent: 2rem; /* 32px */}